Subject: Should "(elisp) Keymaps" describe key sequences first?

From: Stefan Kangas <[email-masked]>
Date: Mon, 27 Dec 2021 07:24:22 -0800

Now that we promote the new keymap-* functions, does it really make
sense to start the section (info "(elisp) Keymaps") with a description
of key sequences?

This seems to now be considered more of an internal detail, and the
thing that should be exposed to (new) ELisp code is rather the new key
description format accepted by `key-valid-p'.

I'm thinking it should be moved further down, perhaps in a section next
to this one:

* Low-Level Key Binding::       Legacy key syntax description.

There is a good description on the "new" key format in
(info "(elisp) Changing Key Bindings").  Perhaps it should
be moved up instead?